/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-client/src/org/opendj/client/Encoder.java,v 1.1.1.1 2001/09/29 20:22:00 jonathan Exp $
 * $Log: Encoder.java,v $
 * Revision 1.1.1.1  2001/09/29 20:22:00  jonathan
 * Imported opendj-client
 *
 */
package org.opendj.client;

import org.opendj.share.ChannelTime;

public interface Encoder extends Runnable {

    public void init ( Main theApp, ChannelTime theChannelTime );

    public void run ();

    public void finish();

    public boolean getIsDone();
}
