/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-client/src/org/opendj/client/PropTest.java,v 1.1.1.1 2001/09/29 20:22:00 jonathan Exp $
 * $Log: PropTest.java,v $
 * Revision 1.1.1.1  2001/09/29 20:22:00  jonathan
 * Imported opendj-client
 *
 */
package org.opendj.client;

import java.util.Properties;
import java.util.Enumeration;

public class PropTest {

	public static void main ( String[] argv ) {
		
		Properties aProps = System.getProperties();
		Enumeration someNames = aProps.propertyNames();
		String aName = null;

		while ( someNames.hasMoreElements() ) {
			aName = (String) someNames.nextElement();
			System.out.println(aName + "='" + aProps.getProperty(aName) + "'");
		}

	}

}